[zcash-android-wallet-sdk](../../../../index.md) / [cash.z.wallet.sdk](../../../index.md) / [Synchronizer](../../index.md) / [AddressType](../index.md) / [Invalid](./index.md)

# Invalid

`class Invalid : `[`Synchronizer.AddressType`](../index.md)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Invalid(reason: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` = "Invalid")` |

### Properties

| Name | Summary |
|---|---|
| [reason](reason.md) | `val reason: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |

### Inherited Properties

| Name | Summary |
|---|---|
| [isNotValid](../is-not-valid.md) | `val isNotValid: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
